> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Knowledge Bases

> List Knowledge Bases



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/common/api.json get /kb/v1/knowledge-bases
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /kb/v1/knowledge-bases:
    get:
      tags:
        - Knowledge Bases
      summary: List Knowledge Bases
      description: List Knowledge Bases
      operationId: listKnowledgeBases
      parameters: []
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  knowledge_bases:
                    type: array
                    items:
                      $ref: '#/components/schemas/KnowledgeBase'
      security:
        - bearer: []
components:
  schemas:
    KnowledgeBase:
      type: object
      properties:
        title:
          type: string
          example: Knowledge Base Title
        description:
          type: string
          example: Knowledge Base Description
        id:
          type: string
          example: 5f7b1b1b1b1b1b1b1b1b1b1b
        status:
          type: string
          example: trained
          enum:
            - draft
            - created
            - queued
            - training
            - trained
        createdAt:
          $ref: '#/components/schemas/CreatedAt'
        updatedAt:
          $ref: '#/components/schemas/UpdatedAt'
    CreatedAt:
      type: string
      format: date-time
      description: This is the ISO 8601 date-time string of when the record was created.
      example: '2020-10-05T00:00:00.000Z'
    UpdatedAt:
      type: string
      format: date-time
      description: >-
        This is the ISO 8601 date-time string of when the record was last
        updated.
      example: '2020-10-05T00:00:00.000Z'
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````